package finance.chai.chai_webview_plugin;

import android.webkit.ValueCallback;
import android.widget.FrameLayout;

import java.util.Map;

/**
 * do this action from Flutter
 * delivery event from flutter to webview
 */
public interface WebViewInterface {
    void clearCache();

    void clearCookies();

    void setAuthCookies(Map<String, String> authCookies);

    void reloadUrl(String url);

    void close();

    void eval(String code, ValueCallback<String> callback);

    void reload();

    void back();

    void forward();

    void resize(FrameLayout.LayoutParams params);

    boolean canGoBack();

    boolean canGoForward();

    void hide();

    void stop();

    void show();
}
